Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceSecondarySegments

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AceSecondarySegments

    public class AceSecondarySegments

extends java.lang.Object

This class represents the secondary segments requested by and provided to the agent. NOTE: THE IMPLEMENTATION OF THIS CLASS IS INCOMPLETE

Constructor Summary
`AceSecondarySegments()` Creates a new instance of AceSecondarySegments.
`AceSecondarySegments(java.nio.ByteBuffer buf)` Creates a new instance of AceSecondarySegments

Method Summary
`void` | `addSegment(byte[] segmentData)` Adds a segment to this object.
`int` | `getSegmentCount()`
`void` | `readSecondarySegments(java.nio.ByteBuffer buf)` Reads a AceSecondarySegment from the input stream.
`java.lang.String` | `toString()` Converts this object to a string.
`byte[]` | `values()`
`void` | `writeSecondarySegments(java.nio.ByteBuffer buf)` Reads a AceSecondarySegment from the input stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AceSecondarySegments

    public AceSecondarySegments()

  Creates a new instance of AceSecondarySegments.

### AceSecondarySegments

    public AceSecondarySegments(java.nio.ByteBuffer buf)
                         throws AcePacketException

  Creates a new instance of AceSecondarySegments

  Parameters:
    `buf` - The ByteBuffer from which the secondary segment data will be populated.
  Throws:
    `AcePacketException` - If there is a problem reading the secondary segments.

Method Detail

### readSecondarySegments

    public void readSecondarySegments(java.nio.ByteBuffer buf)
                               throws AcePacketException

  Reads a AceSecondarySegment from the input stream.

  Parameters:
    `buf` - The ByteBuffer from which the secondary segments will be read.
  Throws:
    `AcePacketException` - If there is an error reading the segment data from the buffer.

### writeSecondarySegments

    public void writeSecondarySegments(java.nio.ByteBuffer buf)
                                throws AcePacketException

  Reads a AceSecondarySegment from the input stream.

  Parameters:
    `aip` - The AceInputPacket from which the secondary segments will be read.
  Throws:
    `AcePacketException` - If there is an error reading the segment data from the input stream.

### addSegment

    public void addSegment(byte[] segmentData)
                    throws AcePacketException

  Adds a segment to this object. NOT IMPLEMENTED

  Parameters:
    `segmentData` - The data to be added to the secondary segments.
  Throws:
    `AcePacketException`

### values

    public byte[] values()

### toString

    public java.lang.String toString()

  Converts this object to a string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the secondary segments.

### getSegmentCount

    public int getSegmentCount()

  Returns:
    Returns the segmentCount.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.